#include <iostream>

using namespace std;

int main()
{
    string rec, zabranjenaRec;
    
    cin >> rec;
    cin >> zabranjenaRec;
    
    string preuredjenaRec = rec;
    int brojZamenjenihSlova = 0;
    
    int najmanjeIstihSlovaZaRedom = 0;
    int trenutnoIstihSlovaZaRedom = 1;
    char prethodnoSlovo = rec[0];
    for (int i = 1; i < rec.length(); i++) {
        if (rec[i] == prethodnoSlovo) {
            trenutnoIstihSlovaZaRedom++;
        } else {
            if (najmanjeIstihSlovaZaRedom == 0 || najmanjeIstihSlovaZaRedom > trenutnoIstihSlovaZaRedom) {
                najmanjeIstihSlovaZaRedom = trenutnoIstihSlovaZaRedom;
            }
            trenutnoIstihSlovaZaRedom = 1;
        }
        
        prethodnoSlovo = rec[i];
    }
    
    if (najmanjeIstihSlovaZaRedom == 0 || najmanjeIstihSlovaZaRedom > trenutnoIstihSlovaZaRedom) {
                najmanjeIstihSlovaZaRedom = trenutnoIstihSlovaZaRedom;
            }
    
    int trenutniIndexReci = 0;
    for (int i = 0; i < zabranjenaRec.length(); i++) {
        int brojIstihSlova = 0;
        while(zabranjenaRec[i] == rec[trenutniIndexReci]) {
            brojIstihSlova++;
            trenutniIndexReci++;
        }
        
        if (brojIstihSlova == najmanjeIstihSlovaZaRedom) {
            brojZamenjenihSlova += najmanjeIstihSlovaZaRedom;
            
            for (int j = 0; j < najmanjeIstihSlovaZaRedom; j++) {
                preuredjenaRec[trenutniIndexReci - 1 - j] = '*';
            }
        }
    }
    cout << brojZamenjenihSlova << endl << preuredjenaRec;

    return 0;
}